<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <TargetFramework>netstandard2.0</TargetFramework>
        <ProduceAssemblyReference>true</ProduceAssemblyReference>
    </PropertyGroup>
    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <DebugType>pdbonly</DebugType>
        <DebugSymbols>true</DebugSymbols>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="Xamarin.Forms" Version="4.3.0.991211" />
        <PackageReference Include="Xamarin.Essentials" Version="1.3.1" />
        <PackageReference Include="taglib-sharp-netstandard2.0" Version="2.1.0" />
        <PackageReference Include="LibVLCSharp.Forms" Version="3.3.1" />
        <PackageReference Include="VideoLAN.LibVLC.Mac" Version="3.1.3.1" />
        <PackageReference Include="Grpc" Version="2.25.0" />
        <PackageReference Include="Grpc.Tools" Version="2.25.0" PrivateAssests="All">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
        <PackageReference Include="Google.Protobuf" Version="3.10.1" />
        <PackageReference Include="Xam.Plugins.Settings" Version="3.1.1" />
        <PackageReference Include="Sharpnado.Forms.HorizontalListView" Version="1.3.0" />
    </ItemGroup>
    <ItemGroup>
        <Folder Include="Design\" />
        <Folder Include="Design\Components\" />
        <Folder Include="Design\Views\" />
        <Folder Include="Design\Views\Songs\" />
        <Folder Include="Design\Views\MainView\" />
        <Folder Include="Design\Behaviors\" />
        <Folder Include="Design\Components\NavigationMenu\" />
        <Folder Include="Design\Views\Albums\" />
        <Folder Include="Design\Views\Artists\" />
        <Folder Include="Design\Views\Stations\" />
        <Folder Include="Utils\" />
        <Folder Include="Models\" />
        <Folder Include="Services\" />
        <Folder Include="Design\Views\Party\" />
        <Folder Include="Design\Components\HostSelector\" />
        <Folder Include="Design\Components\MemberList\" />
        <Folder Include="Design\Components\Library\" />
        <Folder Include="Design\Views\Profile\" />
        <Folder Include="Design\Components\DataGrid\" />
        <Folder Include="Resources\" />
        <Folder Include="Design\Extensions\" />
        <Folder Include="Design\Components\ImageButton\" />
        <Folder Include="Design\Components\Dialogs\" />
        <Folder Include="Design\Views\Party\NewPartyDialog\" />
    </ItemGroup>
    <ItemGroup>
      <Compile Remove="Design\Behaviors\DeselectItemBehaviorBase.cs" />
    </ItemGroup>
    <ItemGroup>
        <Compile Update="Design\Components\MusicPlayer\Player.xaml.cs">
            <DependentUpon>Player.xaml</DependentUpon>
        </Compile>
    </ItemGroup>
    <ItemGroup>
        <Protobuf Include="Proto\general.proto" />
        <Protobuf Include="Proto\party.proto" />
        <Protobuf Include="Proto\events.proto" />
        <Protobuf Include="Proto\playback.proto" />
        <Protobuf Include="Proto\sync.proto" />
    </ItemGroup>
    <ItemGroup>
      <EmbeddedResource Include="Resources\backward.png" />
      <EmbeddedResource Include="Resources\forwards.png" />
      <EmbeddedResource Include="Resources\like.png" />
      <EmbeddedResource Include="Resources\play.png" />
    </ItemGroup>
    <ItemGroup>
        <EmbeddedResource Update="Design\Components\NavigationMenu\NavigationMenu.css">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </EmbeddedResource>
    </ItemGroup>
    <ItemGroup>
      <None Remove="Design\Resources\unselected.png" />
      <None Remove="Design\Components\MediaPlayer\play.png" />
      <None Remove="Resources\backward.png" />
      <None Remove="Resources\forwards.png" />
      <None Remove="Resources\like.png" />
      <None Remove="Resources\play.png" />
    </ItemGroup>
</Project>